List:General Discussion« Previous MessageNext Message »
From:Chris Date:August 4 2006 1:37am
Subject:Re: building mysql-5.0.22 from src
View as plain text  
bruce wrote:
> hi chris...
> 
> i tried that approach with MySQL-5.0.22
> 
> i did the rpmbuild -- ...
> 
> and got the rpms for mysql.
> 
> when i tried to install the mysql server rpm, it kicked out the dependency
> error regading the libmysqlclient.so.14... other apps require this version
> apparently.
> 
> i would have thought that building by source would have been ok...

.. so you'll have to install the -devel rpm with the new mysql headers 
(I think that's the one) and then compile the other apps, or use the 
.src.rpms for those apps and create your own versions.

It's pretty much an all-or-nothing situation, either you update mysql 
and all other apps (php etc) or you can't upgrade any of them. Not 
specifically a mysql issue, you'll get the same with any database or 
shared library.
Thread
building mysql-5.0.22 from srcbruce3 Aug
  • Re: building mysql-5.0.22 from srcChris4 Aug
    • RE: building mysql-5.0.22 from srcbruce4 Aug
      • Re: building mysql-5.0.22 from srcChris4 Aug